package com.cirle.scientific.utils;

import com.cirle.scientific.constants.LoginConsts;
import org.apache.commons.lang3.StringUtils;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * @author DeMin
 * @date 2022年06月13日 23:17
 */
public class UserLoginUtil {

    //获取当前登录用户唯一表示
    public static String isUserLogin(HttpServletRequest request) {
        if (request.getSession().getAttribute("UserCard") == null) {
            return "";
        }
        return (String) request.getSession().getAttribute("UserCard");
    }

    //判断用户是被顶掉导致的未登录还是正常的就是未登录替代
    public static boolean isReplace(HttpServletRequest request,
                                    HttpServletResponse response,
                                    String memCard,
                                    String mValue) {

        //如果当前的人登陆过cookie里有痕迹 memCard为空说明现在没有登录了 mvalue不为空说明再别的地方登录着呢
        String memCardOld = CookieUtil.getValueByCookie(request, LoginConsts.M_COOKIE_MEMCARD_KEY);
        if (StringUtils.isBlank(memCard) && StringUtils.isNotBlank(memCardOld) && StringUtils.isNotBlank(mValue)) {

            CookieUtil.clearCookies(response, StringUtil.getdomain(request), "/", LoginConsts.M_COOKIE_MEMCARD_KEY);
            return true;
        }

        return false;

    }

}
